<?php
//incluimos phpMailer.
	require_once('PHPMailer/PHPMailer.php');
	require_once('PHPMailer/Exception.php');
	use PHPMailer\PHPMailer\PHPMailer;
	use PHPMailer\PHPMailer\Exception;
//declaramos socio.
	class socio{
		public $nombre;
		public $apellidos;
		public $direccion;
		public $codigoPostal;
		public $poblacion;
		public $provincia;
		public $telefonoMovil;
		public $telefonoSecundario;
		public $correoElectronico;
		public $nif;
		public $numSocio;
	}
//Configuración
	
	// probas previas 
		//$nomeFicheiroSocios="SociosProbas.csv";
	// producción 
		$nomeFicheiroSocios="Socios.csv";
	$dirOrixeDoCorreo="info@roadsters.es";
	$nomeOrixeDoCorreo="Roadsters.es";
	$asuntoDoCorreo="Cuotas de socio 2020";
	
	
	function componCorpoCorreoSocio($recorreSocio){
		//private $recorreSocio socio;
		$textoCorreo="
		
    Muy buenas $recorreSocio->nombre !!

    Comienza el año, y conforme a nuestro esquema de cuotas, toca abonar la de 2020.
    
    De momento no tenemos preparada la posibilidad de domiciliación, que esperamos poner a andar en los próximos meses. Con un poco de suerte quien prefiera esa forma de pago podrá usarla para la cuota 2021.

    A continuación se muestran tus datos de usuario. Si hay alguna modificación envíanos un correo a info@roadsters.es y los actualizaremos.

        Número de socio: $recorreSocio->numSocio
        Nif: $recorreSocio->nif
        Nombre: $recorreSocio->nombre 
        Apellidos: $recorreSocio->apellidos 
        Correo electrónico: $recorreSocio->correoElectronico 
        Dirección postal: $recorreSocio->direccion $recorreSocio->poblacion $recorreSocio->provincia
	    CP: $recorreSocio->codigoPostal
        Teléfono principal: $recorreSocio->telefonoMovil
        Teléfono secundario: $recorreSocio->telefonoSecundario
    
    Instrucciones de pago de la cuota:
	
	Debes realizar un ingreso -preferiblemente uno por socio, nos simplifica la gestion- a la siguiente cuenta de OpenBank
		
			ES6900730100560505685921  Por si resulta mas sencillo con espacios: ES69 0073 0100 5605 0568 5921
			
	El ingreso es de 20€ por socio y debe tener el siguiente concepto. Si puedes copia y pega :-) :
	
			Cuota 2020 Socio $recorreSocio->numSocio 
	
	
    Muchas gracias por participar en la asociación !
    
    Recuerda que ya está abierto el plazo para inscribirse en actividades de este año ;-).
    
    Saludos
    La Junta Directiva de Roadsters.es
	
	https://roadsters.es
	
	
	*Nota: si ya has pagado, ignora este correo, claro ! :-).
    ";
		return($textoCorreo);
	}
	
	$recorreSocio= new socio;
	$correo=new PHPMailer();
	//recorremos el csv
	$numeroSocios=0;
	
	//Abrimos nuestro archivo
	$archivo = fopen($nomeFicheiroSocios, "r");
	//Lo recorremos
	while (($datos = fgetcsv($archivo, ",")) == true){
		$num = count($datos);
		$numeroSocios++;
		//Recorremos las columnas de esa linea
		$socioTmp;
		for ($columna = 0; $columna < $num; $columna++){
			$socioTmp[$columna]= $datos[$columna];
		}
		//asignamos variables.
		$recorreSocio->nombre=$socioTmp[1];
		$recorreSocio->apellidos=$socioTmp[0];
		$recorreSocio->direccion=$socioTmp[2];
		$recorreSocio->codigoPostal=$socioTmp[3];
		$recorreSocio->poblacion=$socioTmp[4];
		$recorreSocio->provincia=$socioTmp[5];
		$recorreSocio->telefonoMovil=$socioTmp[6];
		$recorreSocio->telefonoSecundario=$socioTmp[7];
		$recorreSocio->correoElectronico=$socioTmp[8];
		$recorreSocio->nif=$socioTmp[9];
		$recorreSocio->numSocio=str_pad($socioTmp[10], 3, "0", STR_PAD_LEFT); //formateamos o número de socio con ceros
				
		//compoñemos o correo.
		$correo->CharSet="UTF8";
		$correo->AddAddress($recorreSocio->correoElectronico,$recorreSocio->nombre." ".$recorreSocio->apellidos);
		$correo->SetFrom($dirOrixeDoCorreo,$nomeOrixeDoCorreo);
		$correo->AddReplyTo($dirOrixeDoCorreo,$nomeOrixeDoCorreo);
		$correo->Subject=($asuntoDoCorreo);
		$correo->Body= componCorpoCorreoSocio($recorreSocio);;
		//echo "correp->Body ".$correo->Body;

		try{
			if(!$correo->Send()) {
				echo "Error al enviar el mensaje: ".$correo->ErrorInfo ;
			} else {
				echo "Mensaje enviado a $recorreSocio->nombre!!<br>";
			}
		
		}
		catch(Exception $err){
			echo("pete potente do correo al enviar el mensaje: 
					$err->errorMessage()"); 
		}		
		
	}
	//Cerramos el archivo
	fclose($archivo);
?>